/*
			 Message Output & Play Sound
 */

#ifndef EDV_MESSAGE_H
#define EDV_MESSAGE_H

#include "edv_context.h"


extern void EDVMessage(
	edv_context_struct *ctx,
	const gchar *title, const gchar *message, const gchar *details,
	gpointer toplevel
);
extern void EDVMessageInfo(
        edv_context_struct *ctx,
        const gchar *title, const gchar *message, const gchar *details,
        gpointer toplevel
);
extern void EDVMessageWarning(
	edv_context_struct *ctx,
	const gchar *title, const gchar *message, const gchar *details,
	gpointer toplevel
);
extern void EDVMessageError(
	edv_context_struct *ctx,
	const gchar *title, const gchar *message, const gchar *details,
	gpointer toplevel
);
extern void EDVMessageFromFile(
	edv_context_struct *ctx,
	const gchar *path, const gchar *title,
	gint cdialog_icon,
	gpointer toplevel
);

/* Play Sound */
extern void EDVBeep(edv_context_struct *ctx);
extern void EDVPlaySoundBeep(edv_context_struct *ctx);      
extern void EDVPlaySoundInfo(edv_context_struct *ctx);
extern void EDVPlaySoundQuestion(edv_context_struct *ctx);
extern void EDVPlaySoundWarning(edv_context_struct *ctx);
extern void EDVPlaySoundError(edv_context_struct *ctx);  
extern void EDVPlaySoundCompleted(edv_context_struct *ctx);


#endif	/* EDV_MESSAGE_H */
